Google Picasa < 3.6 Build 105.41

This script is Copyright (C) 2010-2012 Tenable Network Security, Inc.


Synopsis :

A photo organizer application on the remote Windows host has an
integer overflow vulnerability.

Description :

The version of Google Picasa running on the remote host reportedly
has an integer overflow vulnerability when processing specially
crafted JPEG files. This can lead to a heap overflow.

A remote attacker could exploit this by tricking a user into opening a
maliciously crafted JPEG file, resulting in arbitrary code execution.

Solution :

Upgrade to Picasa 3.6 Build 105.41 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.9
(CVSS2#E:U/RL:OF/RC:ND)
Public Exploit Available : false

Family: Windows

Nessus Plugin ID: 45049 (google_picasa_3_6_105_41.nasl)

Bugtraq ID: 38384

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now